using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.BS;
using APT.MS.Domain.Entities.DM;
using APT.MS.Domain.Entities.HM;
using APT.MS.Domain.Enums;
using APT.MS.Domain.Enums.SK;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    /// <summary>
    /// 辨识区域
    /// </summary>
    [Description("辨识区域")]
    public partial class T_SK_RISK_AREA : TreeEntityBase<T_SK_RISK_AREA>
    {
        /// <summary>
        /// 编码
        /// </summary>
        [Description("编码")]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 区域名称
        /// </summary>
        [Description("区域名称")]
        [DataFieldLength(100)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string NAME { get; set; }

        [Description("顺序")]
        public int NUM { get; set; }

        /// <summary>
        /// 视频
        /// </summary>
        [Description("视频")]
        public virtual ICollection<T_SK_VIDEO_AREA> Nav_Videos { get; set; }

        [Description("生产单元")]
        [EnumName("SKProductionUnit")]
        public SKProductionUnit? MineType { get; set; }

        [Description("生产单元")]
        [DataFieldForeignKey("Nav_ProductionUnit")]
        public Guid? PRODUCTION_UNIT_ID { get; set; }
        [Description("导航属性：生产单元")]
        public T_FM_USER_PRODUCTION_UNIT_SET Nav_ProductionUnit { get; set; }

    }
}
